> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aiql.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List Reviews



## OpenAPI

````yaml https://api.aiql.io/openapi.json get /requests/{id}/reviews
openapi: 3.1.0
info:
  title: aiql-api
  version: 0.1.0
servers:
  - url: https://api.aiql.io
security: []
tags:
  - name: Health
    description: Service health checks.
  - name: Workspaces
    description: Workspace management.
  - name: Ingestions
    description: Document ingestion pipeline.
  - name: Queries
    description: Natural-language queries.
  - name: Sources
    description: Ingested sources and their contents.
  - name: Requests
    description: Source addition/removal requests awaiting review.
  - name: Request Changes
    description: Individual source add/remove changes on a request.
  - name: Request Reviews
    description: Reviews of a request, including draft and submit.
  - name: Request Comments
    description: Comments on a request review.
  - name: Canvases
    description: Brainstorm canvases.
  - name: Dashboards
    description: Dashboards.
  - name: Presentations
    description: Slide presentations.
  - name: Tools
    description: Standalone convert/split/shape/extract tools.
  - name: Connectors
    description: Connector catalog and connect flows.
  - name: Connections
    description: Workspace connector connections.
paths:
  /requests/{id}/reviews:
    get:
      tags:
        - Request Reviews
      summary: List Reviews
      operationId: list_reviews_requests__id__reviews_get
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
            title: Id
        - name: AiQL-Workspace
          in: header
          required: true
          schema:
            type: string
            description: ID of the workspace the request operates on.
            title: Aiql-Workspace
          description: ID of the workspace the request operates on.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ReviewResponse'
                title: Response List Reviews Requests  Id  Reviews Get
        '401':
          description: 'Authentication failed: missing or invalid API key.'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
      x-codeSamples:
        - lang: bash
          label: cURL
          source: |-
            curl https://api.aiql.io/requests/req_7f3a/reviews \
              -H "Authorization: Bearer $AIQL_API_KEY" \
              -H "AiQL-Workspace: $AIQL_WORKSPACE_ID"
        - lang: python
          label: Python SDK
          source: |-
            import os
            from aiql import AiQL

            client = AiQL(api_key=os.environ["AIQL_API_KEY"])

            reviews = client.requests.reviews.list("req_7f3a")
        - lang: typescript
          label: TypeScript SDK
          source: |-
            import { AiQL } from "@aiql.io/sdk";

            const client = new AiQL({ apiKey: process.env.AIQL_API_KEY });

            const reviews = await client.requests.reviews.list("req_7f3a");
components:
  schemas:
    ReviewResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the review.
        status:
          type: string
          title: Status
          description: Current status of the review.
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
          description: Description of the review.
        reviewer:
          anyOf:
            - $ref: '#/components/schemas/UserRef'
            - type: 'null'
          description: Reviewer of the review.
        comments:
          items:
            $ref: '#/components/schemas/CommentResponse'
          type: array
          title: Comments
          description: Comments on the review.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the review was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the review was last updated.
        changes_requested_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Changes Requested At
          description: Timestamp when the review entered CHANGES_REQUESTED.
        approved_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Approved At
          description: Timestamp when the review was approved.
        rejected_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Rejected At
          description: Timestamp when the review was rejected.
      type: object
      required:
        - id
        - status
        - description
        - created_at
        - updated_at
      title: ReviewResponse
    ErrorResponse:
      type: object
      title: ErrorResponse
      properties:
        detail:
          type: string
          title: Detail
      required:
        - detail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    UserRef:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the user.
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
          description: Display name of the user.
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Email of the user.
      type: object
      required:
        - id
      title: UserRef
    CommentResponse:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier of the comment.
        content:
          type: string
          title: Content
          description: Text content of the comment.
        author:
          anyOf:
            - $ref: '#/components/schemas/UserRef'
            - type: 'null'
          description: Author of the comment.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Timestamp when the comment was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: Timestamp when the comment was last updated.
      type: object
      required:
        - id
        - content
        - created_at
        - updated_at
      title: CommentResponse
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBearer:
      type: http
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer

````